network manager does not connect through CDMA 3G after upgrade; fix available -- Huawei EC1260

Bug #456612 reported by grn on 2009-10-20
26
This bug affects 5 people
Affects Status Importance Assigned to Milestone
modemmanager (Ubuntu)
Medium
Mathieu Trudel-Lapierre

Bug Description

Ubuntu 9.10 Karmic Koala x86 Beta Kernel 2.6.31.14

NM would detect my CDMA 3G Modem (Huawei) and I could connect easily on < 2.6.31.13
but after upgrading to 2.6.31.14 I am unable to connect.

Waldir Leoncio (wleoncio) wrote :

What version of NM are you running?

affects: ubuntu → network-manager (Ubuntu)
Changed in network-manager (Ubuntu):
status: New → Incomplete
Tony Espy (awe) wrote :

If you haven't, can you please ensure you have all the latest updates installed and then re-test?

Next, can you please run the command ( via terminal or Alt+F2 / Run application ):

apport-collect 456612

This will give us some more information to work with.

Also, please see the following page for debugging problems with 3G modems:

https://wiki.ubuntu.com/DebuggingModemmanager

Thanks!

grn (gaurangarora) wrote :

Unfortunately the only way I can connect to the internet now is through the same CDMA modem. So I can't update. Nor can I send an apport-collect.

I am sending this message from windows on another partition. But I downloaded the latest RC of Koala, and the problem persists.

Architecture: i386
CRDA: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 9.10
IfupdownConfig:
 auto lo
 iface lo inet loopback
IpRoute:
 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.35 metric 2
 169.254.0.0/16 dev wlan0 scope link metric 1000
 default via 192.168.1.1 dev wlan0 proto static
NonfreeKernelModules: nvidia
Package: network-manager 0.8~a~git.20091013t193206.679d548-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_IN
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:1804): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1804): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:1923): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:1903): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed

grn (gaurangarora) wrote : Gconf.txt
grn (gaurangarora) wrote : IpAddr.txt
Changed in network-manager (Ubuntu):
status: Incomplete → New
tags: added: apport-collected

Downloaded the Final Release of 9.10 x64.
Still the same issue.

Isaac Aaron (e-tsik) wrote :

I think I have the same issue - it began to happen after upgrading to 9.10. My CDMA module is called 'Telit'. Works with cdc_acm

Nov 2 10:14:24 iaaron-acerone kernel: [ 1412.216139] usb 3-1: new full speed USB device using uhci_hcd and address 3
Nov 2 10:14:24 iaaron-acerone kernel: [ 1412.434457] usb 3-1: configuration #1 chosen from 1 choice
Nov 2 10:14:24 iaaron-acerone kernel: [ 1412.437392] cdc_acm 3-1:1.0: ttyACM0: USB ACM device
Nov 2 10:14:24 iaaron-acerone kernel: [ 1412.442459] cdc_acm 3-1:1.2: ttyACM1: USB ACM device
Nov 2 10:14:24 iaaron-acerone kernel: [ 1412.447977] cdc_acm 3-1:1.4: ttyACM2: USB ACM device
Nov 2 10:14:24 iaaron-acerone modem-manager: (ttyACM2) opening serial device...
Nov 2 10:14:24 iaaron-acerone modem-manager: (ttyACM2): probe requested by plugin 'Generic'
Nov 2 10:14:24 iaaron-acerone modem-manager: (ttyACM0) opening serial device...
Nov 2 10:14:24 iaaron-acerone modem-manager: (ttyACM0): probe requested by plugin 'Generic'
Nov 2 10:14:24 iaaron-acerone modem-manager: (ttyACM1) opening serial device...
Nov 2 10:14:24 iaaron-acerone modem-manager: (ttyACM1): probe requested by plugin 'Generic'
Nov 2 10:14:27 iaaron-acerone modem-manager: Got failure code 100: Unknown error
Nov 2 10:14:27 iaaron-acerone modem-manager: (ttyACM0) closing serial device...
Nov 2 10:14:28 iaaron-acerone modem-manager: Got failure code 100: Unknown error
Nov 2 10:14:28 iaaron-acerone modem-manager: (Generic): CDMA modem /sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1 claimed port ttyACM0
Nov 2 10:14:28 iaaron-acerone modem-manager: Added modem /sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1
Nov 2 10:14:28 iaaron-acerone modem-manager: Exported modem /sys/devices/pci0000:00/0000:00:1d.1/usb3/3-1 as /org/freedesktop/ModemManager/Modems/1
Nov 2 10:14:28 iaaron-acerone modem-manager: Got failure code 100: Unknown error
Nov 2 10:14:30 iaaron-acerone modem-manager: Got failure code 100: Unknown error
Nov 2 10:14:30 iaaron-acerone modem-manager: (ttyACM1) closing serial device...
Nov 2 10:14:30 iaaron-acerone NetworkManager: <info> (ttyACM0): new CDMA device (driver: 'cdc_acm')
Nov 2 10:14:30 iaaron-acerone NetworkManager: <info> (ttyACM0): exported as /org/freedesktop/NetworkManager/Devices/3
Nov 2 10:14:30 iaaron-acerone NetworkManager: <info> (ttyACM0): now managed
Nov 2 10:14:30 iaaron-acerone NetworkManager: <info> (ttyACM0): device state change: 1 -> 2 (reason 2)
Nov 2 10:14:30 iaaron-acerone NetworkManager: <info> (ttyACM0): deactivating device (reason: 2).
Nov 2 10:14:30 iaaron-acerone NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
Nov 2 10:14:30 iaaron-acerone NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed
Nov 2 10:14:30 iaaron-acerone NetworkManager: <info> (ttyACM0): device state change: 2 -> 3 (reason 0)
Nov 2 10:14:36 iaaron-acerone modem-manager: (ttyACM2) closing serial device...

grn (gaurangarora) wrote :

Tried to connect using wvdial. Was successful.
Network manager still does not work.
The rotating spikes freeze on attempting to connect, and after a minute or so, 'Network disconnected' message appears.

Isaac Aaron (e-tsik) wrote :

I can report the same.
wvdial works like a charm . modem-manager doesn't at all . Prior to 9.10 (on 9.04) I used to connect with network manager

grn (gaurangarora) wrote :
Download full text (4.0 KiB)

This bug needs to be assigned an importance level.

Below is the output from the daemon log:

Nov 6 22:27:18 grn-ubuntu modem-manager: (ttyUSB0) opening serial device...
Nov 6 22:27:18 grn-ubuntu modem-manager: (ttyUSB0): probe requested by plugin 'Huawei'
Nov 6 22:27:18 grn-ubuntu modem-manager: (Huawei): (ttyUSB1) deferring support check
Nov 6 22:27:18 grn-ubuntu modem-manager: (Huawei): (ttyUSB2) deferring support check
Nov 6 22:27:19 grn-ubuntu modem-manager: (ttyUSB0) closing serial device...
Nov 6 22:27:19 grn-ubuntu modem-manager: (Huawei): CDMA modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2 claimed port ttyUSB0
Nov 6 22:27:19 grn-ubuntu modem-manager: Added modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2
Nov 6 22:27:19 grn-ubuntu modem-manager: Exported modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2 as /org/freedesktop/ModemManager/Modems/3
Nov 6 22:27:19 grn-ubuntu NetworkManager: <info> (ttyUSB0): new CDMA device (driver: 'option1')
Nov 6 22:27:19 grn-ubuntu NetworkManager: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/4
Nov 6 22:27:19 grn-ubuntu NetworkManager: <info> (ttyUSB0): now managed
Nov 6 22:27:19 grn-ubuntu NetworkManager: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Nov 6 22:27:19 grn-ubuntu NetworkManager: <info> (ttyUSB0): deactivating device (reason: 2).
Nov 6 22:27:19 grn-ubuntu NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
Nov 6 22:27:19 grn-ubuntu NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed
Nov 6 22:27:19 grn-ubuntu NetworkManager: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
Nov 6 22:27:21 grn-ubuntu modem-manager: (ttyUSB1): re-checking support...
Nov 6 22:27:21 grn-ubuntu modem-manager: (ttyUSB1) opening serial device...
Nov 6 22:27:21 grn-ubuntu modem-manager: (ttyUSB1): probe requested by plugin 'Huawei'
Nov 6 22:27:21 grn-ubuntu modem-manager: (ttyUSB2): re-checking support...
Nov 6 22:27:21 grn-ubuntu modem-manager: (ttyUSB2) opening serial device...
Nov 6 22:27:22 grn-ubuntu modem-manager: (ttyUSB2): probe requested by plugin 'Huawei'
Nov 6 22:27:23 grn-ubuntu modem-manager: (ttyUSB2) closing serial device...
Nov 6 22:27:23 grn-ubuntu modem-manager: (Huawei): CDMA modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2 claimed port ttyUSB2
Nov 6 22:27:24 grn-ubuntu wpa_supplicant[1131]: CTRL-EVENT-SCAN-RESULTS
Nov 6 22:27:33 grn-ubuntu modem-manager: (ttyUSB1) closing serial device...
Nov 6 22:27:37 grn-ubuntu NetworkManager: <info> Activation (ttyUSB0) starting connection 'Reliance Netconnect'
Nov 6 22:27:37 grn-ubuntu NetworkManager: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Nov 6 22:27:37 grn-ubuntu NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Nov 6 22:27:37 grn-ubuntu NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Nov 6 22:27:37 grn-ubuntu NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Nov 6 22:27:37 grn-ubuntu modem-manager: (ttyUSB0) opening serial device...
Nov 6 22:27:37 grn-ubuntu modem-manager: (ttyUSB2) opening serial device.....

Read more...

grn (gaurangarora) wrote :

This could be the same bug as 446146
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/446146

Can someone confirm?

Isaac Aaron (e-tsik) wrote :

I would not regard this as a duplicate of 446146 because one key symptom of this issue is that one would have to find the following error message in the syslog:

Got failure code 100: Unknown error

grn (gaurangarora) wrote :

Has anyone tested this with Kernel 2.6.31-15?

I could not, because X could not load after upgrade.

grn (gaurangarora) wrote :

Tested with Kernel 2.6.31-15

It still does not work.

grn (gaurangarora) wrote :

Upgraded to Kernel 2.6.31-16

Still facing the same issue.

Wolfgang Fahl (wf-bitplan) wrote :

Same issue 2.6.31-16 with Motorola Razr Modem

th3darkang3l (th3darkang3l) wrote :

Same issue with 2.6.31-17 :(

ANIMESH (animeshmeher) wrote :

The problem is not related to karnel i suppose as to network manager.
With network manager 0.7.1 it works . with 0.8 series it started braking.
CAn confirm this bug.

Changed in network-manager (Ubuntu):
status: New → Confirmed
grn (gaurangarora) wrote :

@animesh

can we check by downgrading our nm? or by upgrading, if an update is available?

ANIMESH (animeshmeher) wrote :

@grn

sorry for late reply .
ya can confirm by upgrading my nm to latest available patch:-)

and to degrade i am using opensuse 11.2(2.6.31...) kernel ,gnome, modem 0.7.1 and it connects easily.

dont know how to degrade in karmic kuala .if only u can help .

need too many files to compile and dependencies... tried it a few time :-(

ANIMESH (animeshmeher) wrote :

most of the huwaei modems are fixed but i think rest are largely due to a bug in network manager.
any help please let me know.

if u can guide me i can help.

Devil (gibsosmat) wrote :

I have similar problem, the networkmanager dosent connect but the wvdial works.
I am usiing Huawei EC1260, on reliance netconnect. am I doing something wrong?

Ubuntu 9.10
Linux devil 2.6.31-16-generic #53-Ubuntu SMP Tue Dec 8 04:01:29 UTC 2009 i686 GNU/Linux
networkmanager 0.7.996

deamon.log
Jan 1 07:40:03 devil NetworkManager: <info> Activation (ttyUSB0) starting connection 'rn1'
Jan 1 07:40:03 devil NetworkManager: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Jan 1 07:40:03 devil NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Jan 1 07:40:03 devil NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) started...
Jan 1 07:40:03 devil NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) complete.
Jan 1 07:40:03 devil modem-manager: (ttyUSB0) opening serial device...
Jan 1 07:40:03 devil modem-manager: (ttyUSB2) opening serial device...
Jan 1 07:40:44 devil wpa_supplicant[1108]: CTRL-EVENT-SCAN-RESULTS
Jan 1 07:41:04 devil NetworkManager: <WARN> stage1_prepare_done(): CDMA modem connection failed: No service
Jan 1 07:41:04 devil NetworkManager: <info> (ttyUSB0): device state change: 4 -> 9 (reason 0)
Jan 1 07:41:04 devil NetworkManager: <info> Marking connection 'rn1' invalid.
Jan 1 07:41:04 devil NetworkManager: <info> Activation (ttyUSB0) failed.
Jan 1 07:41:04 devil NetworkManager: <info> (ttyUSB0): device state change: 9 -> 3 (reason 0)
Jan 1 07:41:04 devil NetworkManager: <info> (ttyUSB0): deactivating device (reason: 0).
Jan 1 07:41:04 devil NetworkManager: flush_routes: assertion `iface_idx >= 0' failed
Jan 1 07:41:04 devil NetworkManager: flush_addresses: assertion `iface_idx >= 0' failed
Jan 1 07:41:04 devil modem-manager: (ttyUSB2) closing serial device...
Jan 1 07:41:04 devil modem-manager: (ttyUSB0) closing serial device...

Artem Vakhitov (temcat) wrote :

I have what looks like the same problem on 9.10 with the latest updates as of January 31, 2010. I can connect with a shell script I found on the Net but not with NetworkManager: as grn said, "The rotating spikes freeze on attempting to connect, and after a minute or so, 'Network disconnected' message appears."

grn (gaurangarora) wrote :
Download full text (4.4 KiB)

Upgraded to the latest nightly build of Network Manager from PPA:

http://ppa.launchpad.net/network-manager/trunk/ubuntu

The rotating spikes don't freeze, and continue to rotate. However, no connection is established. After a minute or so, 'Network Disconnected' appears.

Here is the daemon.log:

Feb 1 17:12:47 grn-ubuntu modem-manager: (Huawei): (ttyUSB1) deferring support check
Feb 1 17:12:47 grn-ubuntu modem-manager: (Huawei): (ttyUSB2) deferring support check
Feb 1 17:12:47 grn-ubuntu modem-manager: (ttyUSB0) opening serial device...
Feb 1 17:12:47 grn-ubuntu modem-manager: (ttyUSB0): probe requested by plugin 'Huawei'
Feb 1 17:12:50 grn-ubuntu modem-manager: (ttyUSB1): re-checking support...
Feb 1 17:12:50 grn-ubuntu modem-manager: (Huawei): (ttyUSB1) deferring support check
Feb 1 17:12:50 grn-ubuntu modem-manager: (ttyUSB2): re-checking support...
Feb 1 17:12:50 grn-ubuntu modem-manager: (Huawei): (ttyUSB2) deferring support check
Feb 1 17:12:52 grn-ubuntu modem-manager: (ttyUSB0) closing serial device...
Feb 1 17:12:52 grn-ubuntu modem-manager: (Huawei): CDMA modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2 claimed port ttyUSB0
Feb 1 17:12:52 grn-ubuntu modem-manager: Added modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2
Feb 1 17:12:52 grn-ubuntu modem-manager: Exported modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2 as /org/freedesktop/ModemManager/Modems/7
Feb 1 17:12:53 grn-ubuntu NetworkManager: <info> (ttyUSB0): new CDMA device (driver: 'option1')
Feb 1 17:12:53 grn-ubuntu NetworkManager: <info> (ttyUSB0): exported as /org/freedesktop/NetworkManager/Devices/9
Feb 1 17:12:53 grn-ubuntu NetworkManager: <info> (ttyUSB0): now managed
Feb 1 17:12:53 grn-ubuntu NetworkManager: <info> (ttyUSB0): device state change: 1 -> 2 (reason 2)
Feb 1 17:12:53 grn-ubuntu NetworkManager: <info> (ttyUSB0): deactivating device (reason: 2).
Feb 1 17:12:53 grn-ubuntu NetworkManager: <info> (ttyUSB0): device state change: 2 -> 3 (reason 0)
Feb 1 17:12:53 grn-ubuntu modem-manager: (ttyUSB1): re-checking support...
Feb 1 17:12:53 grn-ubuntu modem-manager: (ttyUSB1) opening serial device...
Feb 1 17:12:53 grn-ubuntu modem-manager: (ttyUSB1): probe requested by plugin 'Huawei'
Feb 1 17:12:53 grn-ubuntu modem-manager: (ttyUSB2): re-checking support...
Feb 1 17:12:53 grn-ubuntu modem-manager: (ttyUSB2) opening serial device...
Feb 1 17:12:53 grn-ubuntu modem-manager: (ttyUSB2): probe requested by plugin 'Huawei'
Feb 1 17:12:55 grn-ubuntu modem-manager: (ttyUSB2) closing serial device...
Feb 1 17:12:55 grn-ubuntu modem-manager: (Huawei): CDMA modem /sys/devices/pci0000:00/0000:00:02.0/usb3/3-2 claimed port ttyUSB2
Feb 1 17:13:06 grn-ubuntu modem-manager: (ttyUSB1) closing serial device...
Feb 1 17:13:38 grn-ubuntu NetworkManager: <info> Activation (ttyUSB0) starting connection 'Reliance Netconnect'
Feb 1 17:13:38 grn-ubuntu NetworkManager: <info> (ttyUSB0): device state change: 3 -> 4 (reason 0)
Feb 1 17:13:38 grn-ubuntu NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) scheduled...
Feb 1 17:13:38 grn-ubuntu NetworkManager: <info> Activation (ttyUSB0) Stage 1 of 5 (Device Prepare) start...

Read more...

Architecture: i386
CRDA: Error: [Errno 2] No such file or directory
DistroRelease: Ubuntu 9.10
Gconf:

IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
IpRoute:
 192.168.1.0/24 dev eth0 proto kernel scope link src 192.168.1.178 metric 1
 169.254.0.0/16 dev eth0 scope link metric 1000
 default via 192.168.1.20 dev eth0 proto static
Package: network-manager 0.8~a~git.20091013t193206.679d548-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin audio cdrom dialout dip fax fuse lpadmin netdev plugdev sambashare tape video

prakrut (prakrut) wrote : IpAddr.txt
prakrut (prakrut) wrote : RfKill.txt

upgraded to network-maager 0.8 rc4
NO LUCK

grn (gaurangarora) wrote :

Found this bug report on Fedora bugzilla:

https://bugzilla.redhat.com/show_bug.cgi?id=568088

It says the issue is resolved with kernel 2.6.32.9 and NM 0.8

Someone, please confirm.

@ Animesh, @ Devil,

If you are on Karmic, Please check this LP #461096 for more details. I think it's problem with ModemManager.

@ Devil,

Here is the line which causing the issue.

---
Jan 1 07:41:04 devil NetworkManager: <WARN> stage1_prepare_done(): CDMA modem connection failed: No service
---

If you are In Lucid Lynx Beta 1, You will get the same problem while connecting Huawei EC1260 with Reliance NetConnect Broadband+ service. ModemManager checks for SID / Class / Band. If it will not get those value it will give "No Service" error, as given above. In 0.3 ModemManager allows SID=0 in some cases. But, below code is putting SID=9999, because of No Band / Class by provider. Please comment below code in mm-generic-cdma.c, rebuild the package, Now RelianceNetConnect Broadband+ service will work Huawei EC 1260 Modem, it's also true for other modems, but not tested, still investigating the issue, but this hacks works for me.

---
/* Return 'no service' if none of the elements of the +CSS response
         * indicate that the modem has service. Note that this allows SID 0
         * when at least one of the other elements indicates service.
         * Normally we'd treat SID 0 as 'no service' but some modems
         * (Sierra 5725) sometimes return SID 0 even when registered.
         */
        //if (sid == 0 && !class_ok && !band_ok)
        // sid = 99999;
---

grn (gaurangarora) wrote :

Installed Ubuntu Lucid Lynx 10.04 Release Candidate
NO LUCK!!! :-( :-( :-(

grn (gaurangarora) wrote :

Updated my modemmager with Jerone Young's patch. It works perfectly now!!!! :-) :-))

http://launchpadlibrarian.net/43125454/modemmanager_0.3.git.20100404~test_i386.deb

Got it from here: https://bugs.launchpad.net/network-manager/+bug/461096

Thanks a lot, Jerone.

grn (gaurangarora) wrote :

UPDATE

Jerone's patch works, but is a bit unstable. Intermittently connection drops, and it takes numerous efforts to reconnect.
Also one cannot use wvdial to connect EC1260 with this version of modem mngr

Reverted to the packaged version of modemmanager. Shall continue testing on another system.

Bharani Manoharan (phreakv6) wrote :

is there a patch for 64 bit?

i get Error: Wrong architecture 'i386'

Thomas Hood (jdthood) on 2012-07-04
summary: - network manager does not connect through CDMA 3G after upgrade
+ network manager does not connect through CDMA 3G after upgrade --
+ Huawei EC1260
Thomas Hood (jdthood) on 2012-07-05
summary: - network manager does not connect through CDMA 3G after upgrade --
- Huawei EC1260
+ network manager does not connect through CDMA 3G after upgrade; fix
+ available -- Huawei EC1260

Is anyone seeing this issue on 12.04?

Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete
importance: Undecided → Medium
affects: network-manager (Ubuntu) → modemmanager (Ubuntu)
Pritesh Jain (prit-jain86) wrote :

I had face this similar issue with Zte Ac2787 CdMA 3g device.
And the system did not detect modem in network manager
Used to connect with gnome-ppp
Its may be strange or weird but couple of days ago I followed the following steps and its now detects the device smoothly\\

Installed wvdial ( I don't think needed but its in the steps I followed)
fired commands in terminal
$ nm-online
$ nm-tool
and boom it showed that the devise detected.
and when you can also see it in the network list under mobile broadband in network manager from system tray.
Connectly smoothly even after reboot.
Repeated this step on 2 ubuntu and 2 linux mint machines worked on all.
weird but worked for me .

Changed in modemmanager (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)

That device (ZTE AC2787) is different enough that it's highly unlikely to be anything like the problem here.

Could you instead reproduce this issue on a new install and file a separate bug so that we get all the information necessary to fix this?

Thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.